> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Count Conversations

> Count conversations matching the given filters



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/conversations/count
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/conversations/count:
    get:
      tags:
        - Conversations
      summary: Count Conversations
      description: Count conversations matching the given filters
      operationId: count_conversations_api_conversations_count_get
      parameters:
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ConversationExecutionStatus'
              - type: 'null'
            title: Optional filter by conversation execution status
      responses:
        '200':
          content:
            application/json:
              schema:
                title: Response Count Conversations Api Conversations Count Get
                type: integer
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    ConversationExecutionStatus:
      description: Enum representing the current execution state of the conversation.
      enum:
        - idle
        - running
        - paused
        - waiting_for_confirmation
        - finished
        - error
        - stuck
        - deleting
      title: ConversationExecutionStatus
      type: string
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.